"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const cli_ux_1 = require("cli-ux");
const core_1 = require("@salesforce/core");
const base_1 = require("../../lib/base");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-functions', 'logout.functions');
class Login extends base_1.default {
    async run() {
        const { flags } = await this.parse(Login);
        this.postParseHook(flags);
        cli_ux_1.cli.action.start(messages.getMessage('action.start'));
        this.stateAggregator.tokens.unset(base_1.default.TOKEN_BEARER_KEY);
        await this.stateAggregator.tokens.write();
        cli_ux_1.cli.action.stop();
        return 'Logged out';
    }
}
exports.default = Login;
Login.summary = messages.getMessage('summary');
Login.examples = messages.getMessages('examples');
Login.flags = {};
